# needsrootforbuild
# rootforbuild
#!BuildIgnore:          post-build-checks
%define	_srcname	vpopmail
%define _pkgname	vusaged
%define qdir            /var/qmail
%define VPOP_HOME       /var/vpopmail
%define _initdir        /%{_sysconfdir}/init.d

# vpopmail group
%define VPOPGID 89

# vpopmail user
%define VPOPUID 89


Name:           %{_srcname}-%{_pkgname}
Version:        5.4.33
Release:        50.51.16
Summary:        Vusaged

Group:          Applications/Productivity
License:        GPL
URL:            http://vpopmail.sourceforge.net
Source0:        http://osdn.dl.sourceforge.net/sourceforge/vpopmail/%{_srcname}-%{version}.tar.bz2
Source1:	vusaged.suse.init
Patch1:         vusaged-includes.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Provides:       %{name}-devel = %{version}-%{release}
Requires:       maildrop spamassassin netqmail >= 1.06-50 mysql ucspi-tcp patch
BuildRequires:  maildrop spamassassin netqmail >= 1.06-50 maildrop mysql-devel ucspi-tcp qmail_prepare_build >= 0.2 vpopmail
# required for vusaged
BuildRequires:  libev-devel

%description
vpopmails vusage daemon.

%prep
%setup -n %{_srcname}-%{version}
%patch1

%build
%configure \
 --enable-qmaildir=%{qdir} \
 --enable-qmail-newu=%{qdir}/bin/qmail-newu \
 --enable-qmail-inject=%{qdir}/bin/qmail-inject \
 --enable-qmail-newmrh=%{qdir}/bin/qmail-newmrh \
 --enable-vpopuser=vpopmail \
 --enable-vpopgroup=vchkpw \
 --enable-roaming-users \
 --enable-tcprules-prog=%{_bindir}/tcprules \
 --enable-tcpserver-file=%{_sysconfdir}/tcprules.d/tcp.smtp \
 --disable-rebuild-tcpserver-file \
 --enable-relay-clear-minutes=30 \
 --enable-qmail-ext \
 --enable-ip-alias-domains \
 --enable-onchange-script \
 --enable-spamassassin \
 --enable-spamc-prog=%{_bindir}/spamc \
 --enable-maildrop \
 --enable-maildrop-prog=%{_bindir}/maildrop \
 --enable-domains-dir=domains \
 --enable-incdir=%{_includedir}/mysql \
 --enable-libdir=%{_libdir}/mysql \
 --enable-auth-module=mysql \
 --enable-logging=p \
 --enable-log-name=%{name} \
 --enable-sql-logging \
 --enable-mysql-limits \
 --enable-mysql-replication \
 --enable-valias \
 --enable-skeleton \
 --enable-non-root-build

# build vusaged -> move to extra package
cd vusaged
export CFLAG=-I%{buildroot}%{VPOP_HOME}/include
export LDFLAGS=-L%{buildroot}%{VPOP_HOME}/lib
%configure --with-vpopmail=%{VPOP_HOME}
cp ../storage.h .
cp ../conf.h .
cp ../config.h .
cp ../ippp.h .
cp ../vauth.h .
%__make %{?_smp_mflags}

%install
cd vusaged
mkdir -p %{buildroot}%{_initdir}
mkdir -p $RPM_BUILD_ROOT/%{VPOP_HOME}/bin
mkdir -p $RPM_BUILD_ROOT/%{VPOP_HOME}/etc
%if 0%{?rhel_version} || 0%{?centos_version} || 0%{?fedora_version}
install -m 755 contrib/rc.vusaged %{buildroot}%{_initdir}/vusaged
%endif
%if 0%{?suse_version}
install -m 755 %{S:1} %{buildroot}%{_initdir}/vusaged
%endif
install -m755 vusaged $RPM_BUILD_ROOT/%{VPOP_HOME}/bin/vusaged
install -m644 etc/vusaged.conf $RPM_BUILD_ROOT/%{VPOP_HOME}/etc/vusaged.conf
cd ..
#install vusagec.conf $RPM_BUILD_ROOT/%{VPOP_HOME}/etc/vusagec.conf

%postun
%if 0%{?suse_version}
%insserv_cleanup
%endif

%preun
%if 0%{?suse_version}
%stop_on_removal
%endif

%files
%defattr(-,root,root,-)
%{_initdir}/vusaged
%defattr(0755,vpopmail,vchkpw)
%{VPOP_HOME}/bin/vusaged
%defattr(0640,vpopmail,vchkpw)
%config(noreplace) %{VPOP_HOME}/etc/vusaged.conf
#%config(noreplace) %{VPOP_HOME}/etc/vusagec.conf

%changelog
* Sun Sep 04 2011 Carsten Schoene <cs@linux-administrator.com> - 5.4.33-1
- update to release 5.4.33

* Mon Nov 08 2010 Carsten Schoene <cs@linux-administrator.com> - 5.4.32-1
- update to stable-release 5.4.32

* Sat Feb 27 2010 Carsten Schoene <cs@linux-administrator.com> - 5.4.30-1
- initial build of vusaged
